Bug 867074 - ValueError: ('invalid size specification', '0 B') [NEEDINFO]
ValueError: ('invalid size specification', '0 B')
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
s390x Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
abrt_hash:1fad293eff01a7e66ed77310ec5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 13:18 EDT by Jesse Keating
Modified: 2013-12-09 11:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:53:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
clumens: needinfo? (jkeating)


Attachments (Terms of Use)
File: anaconda-tb (377.16 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: product (24 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: type (9 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: storage.log (240.33 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: version (3 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: environ (943 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: anaconda.log (4.91 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: syslog (32.16 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: packaging.log (1.69 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: cmdline_file (889 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: release (63 bytes, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details
File: program.log (37.08 KB, text/plain)
2012-10-16 13:18 EDT, Jesse Keating
no flags Details

  None (edit)
Description Jesse Keating 2012-10-16 13:18:23 EDT
Description of problem:
Installation on s390x.  Selected 14 DASD devices and clicked continue.

Version-Release number of selected component:
anaconda-18.16

Additional info:
libreport version: 2.0.16
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.0-0.28.el7.s390x

description:
:The following was filed automatically by anaconda:
:anaconda 18.16 exception report
:Traceback (most recent call first):
:  File "/tmp/updates/pyanaconda/storage/size.py", line 99, in _parseSpec
:    raise ValueError("invalid size specification", spec)
:  File "/tmp/updates/pyanaconda/storage/size.py", line 137, in __new__
:    self = Decimal.__new__(cls, value=_parseSpec(spec))
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/storage.py", line 116, in size_str
:    return str(Size(spec=spec)).upper()
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/storage.py", line 156, in _set_free_space_labels
:    disk_free_text = size_str(disk_free)
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/storage.py", line 236, in refresh
:    self._set_free_space_labels(disks_size, disk_free, fs_free)
:  File "/tmp/updates/pyanaconda/ui/gui/spokes/storage.py", line 654, in on_continue_clicked
:    dialog.refresh(required_space, disks_size, disk_free, fs_free, self.autopart)
:ValueError: ('invalid size specification', '0 B')
Comment 1 Jesse Keating 2012-10-16 13:18:26 EDT
Created attachment 628294 [details]
File: anaconda-tb
Comment 2 Jesse Keating 2012-10-16 13:18:27 EDT
Created attachment 628295 [details]
File: product
Comment 3 Jesse Keating 2012-10-16 13:18:28 EDT
Created attachment 628296 [details]
File: type
Comment 4 Jesse Keating 2012-10-16 13:18:30 EDT
Created attachment 628297 [details]
File: storage.log
Comment 5 Jesse Keating 2012-10-16 13:18:32 EDT
Created attachment 628298 [details]
File: version
Comment 6 Jesse Keating 2012-10-16 13:18:33 EDT
Created attachment 628299 [details]
File: environ
Comment 7 Jesse Keating 2012-10-16 13:18:37 EDT
Created attachment 628300 [details]
File: anaconda.log
Comment 8 Jesse Keating 2012-10-16 13:18:39 EDT
Created attachment 628301 [details]
File: syslog
Comment 9 Jesse Keating 2012-10-16 13:18:40 EDT
Created attachment 628302 [details]
File: hashmarkername
Comment 10 Jesse Keating 2012-10-16 13:18:41 EDT
Created attachment 628303 [details]
File: packaging.log
Comment 11 Jesse Keating 2012-10-16 13:18:43 EDT
Created attachment 628304 [details]
File: cmdline_file
Comment 12 Jesse Keating 2012-10-16 13:18:44 EDT
Created attachment 628305 [details]
File: release
Comment 13 Jesse Keating 2012-10-16 13:18:46 EDT
Created attachment 628306 [details]
File: program.log
Comment 14 Chris Lumens 2012-10-16 14:00:39 EDT
Does updates=http://clumens.fedorapeople.org/size.img fix this?
Comment 15 Adam Williamson 2012-11-05 15:04:12 EST
As far as Fedora goes, dlehman believes these '0 b' issues have been fixed for some time now. not sure how that translates to RHEL.
Comment 18 Jan Stodola 2013-12-09 11:53:23 EST
I haven't seen this issue for a very long time, so I'm closing this bug. If you see it again, please, re-open.

Note You need to log in before you can comment on or make changes to this bug.